Name:          libmygpo-qt
Summary:       Qt/C++ Library wrapping the gPodder.net Webservice
Group:         Graphical desktop/KDE
Version:       1.0.6
Release:       %mkrel 2
License:       GPLv3
URL:           https://github.com/ase23/libmygpo-qt
Source0:       http://stefan.derkits.at/files/libmygpo-qt/%{name}.%{version}.tar.gz
Patch1:        libmygpo-qt-1.0.5-fix-pkgconfig.patch
BuildRequires: cmake
BuildRequires: qjson-devel
BuildRequires: qt4-devel

%description 
libmygpo-qt is a Qt Library that wraps the gpodder.net Web API 
(http://wiki.gpodder.org/wiki/Web_Services/API_2)

v1.0 wraps nearly every Request from the gpodder.net API except:
-) Simple API Calls Downloading subscription Lists & Uploading subscription 
   Lists
-) Retrieving Subscription Changes (you should use "Retrieving Updates for a 
   given Device" instead)

#-------------------------------------------------------------------------------
%define mygpoqt_major 1
%define libmygpoqt %mklibname mygpo-qt %{mygpoqt_major}

%package -n %{libmygpoqt}
Summary: Qt/C++ Library wrapping the gPodder.net Webservice
Group: Graphical desktop/KDE
Obsoletes: %{name} < %{version}
Provides: %{name} = %{version}-%{release}

%description -n %{libmygpoqt}
Qt/C++ Library wrapping the gPodder.net Webservice

%files -n %{libmygpoqt}
%_libdir/libmygpo-qt.so.%{mygpoqt_major}*

#-------------------------------------------------------------------------------
%define mygpodevel %mklibname mygpo-qt -d

%package -n %{mygpodevel}
Summary: Devel stuff for %name
Group: Development/KDE and Qt
Provides: %{name}-devel = %{version}-%{release}
Requires: %{libmygpoqt} = %{version}-%{release}

%description -n %{mygpodevel}
This package contains header files needed if you wish to build applications
based on %{name} .

%files -n %{mygpodevel}
%_includedir/mygpo-qt
%_libdir/pkgconfig/libmygpo-qt.pc
%_libdir/libmygpo-qt.so
%_libdir/cmake/mygpo-qt

#-----------------------------------------------------------------------------

%prep
%setup -q -n %name.%version
%apply_patches

%build
%cmake_qt4 -DMYGPO_BUILD_TESTS=OFF
%make

%install
%makeinstall_std -C build


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.0.6-2.mga3
+ Revision: 357816
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 14 2012 fwang <fwang> 1.0.6-1.mga3
+ Revision: 330961
- do not build test
- drop merged patch
- new version 1.0.6

* Mon Dec 05 2011 dmorgan <dmorgan> 1.0.5-2.mga2
+ Revision: 176621
- Fix pkgconfig ( Version was missing)

* Sun Dec 04 2011 fwang <fwang> 1.0.5-1.mga2
+ Revision: 175983
- fix installation on 64 bit env
- update file list
- new version 1.0.5

* Thu Mar 24 2011 boklm <boklm> 1.0.0-2.mga1
+ Revision: 76179
- rebuild for bug #497

* Tue Mar 22 2011 mikala <mikala> 1.0.0-1.mga1
+ Revision: 75440
- imported package libmygpo-qt

